Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## phelps.io
Class OutputStreamDataLE

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              phelps.io.OutputStreamDataLE

All Implemented Interfaces:
  java.io.DataOutput

public class OutputStreamDataLE
extends java.io.FilterOutputStream
implements java.io.DataOutput

Same as `DataOutputStream`, except data written low byte first (little endian) for `short`, `int`, `long`, and `char`.

Version:
  $Revision$ $Date$
See Also:
  `for big-endian version`

Field Summary

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`OutputStreamDataLE(java.io.OutputStream out)`

Method Summary
`void` | `flush()`
`int` | `size()`
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int b)`
`void` | `writeBoolean(boolean v)`
`void` | `writeByte(int v)`
`void` | `writeBytes(java.lang.String s)`
`void` | `writeChar(int v)`
`void` | `writeChars(java.lang.String s)`
`void` | `writeDouble(double v)`
`void` | `writeFloat(float v)`
`void` | `writeInt(int v)`
`void` | `writeLong(long v)`
`void` | `writeShort(int v)`
`void` | `writeUTF(java.lang.String str)`

Methods inherited from class java.io.FilterOutputStream
`close, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.io.DataOutput
`write`

Constructor Detail

### OutputStreamDataLE

    public OutputStreamDataLE(java.io.OutputStream out)

Method Detail

### write

    public void write(int b)
               throws java.io.IOException

  Specified by:
    `write` in interface `java.io.DataOutput`
  Overrides:
    `write` in class `java.io.FilterOutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Specified by:
    `write` in interface `java.io.DataOutput`
  Overrides:
    `write` in class `java.io.FilterOutputStream`
  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Overrides:
    `flush` in class `java.io.FilterOutputStream`
  Throws:
    `java.io.IOException`

### writeBoolean

    public final void writeBoolean(boolean v)
                            throws java.io.IOException

  Specified by:
    `writeBoolean` in interface `java.io.DataOutput`
  Throws:
    `java.io.IOException`

### writeByte

    public final void writeByte(int v)
                         throws java.io.IOException

  Specified by:
    `writeByte` in interface `java.io.DataOutput`
  Throws:
    `java.io.IOException`

### writeShort

    public final void writeShort(int v)
                          throws java.io.IOException

  Specified by:
    `writeShort` in interface `java.io.DataOutput`
  Throws:
    `java.io.IOException`

### writeChar

    public final void writeChar(int v)
                         throws java.io.IOException

  Specified by:
    `writeChar` in interface `java.io.DataOutput`
  Throws:
    `java.io.IOException`

### writeInt

    public final void writeInt(int v)
                        throws java.io.IOException

  Specified by:
    `writeInt` in interface `java.io.DataOutput`
  Throws:
    `java.io.IOException`

### writeLong

    public final void writeLong(long v)
                         throws java.io.IOException

  Specified by:
    `writeLong` in interface `java.io.DataOutput`
  Throws:
    `java.io.IOException`

### writeFloat

    public final void writeFloat(float v)
                          throws java.io.IOException

  Specified by:
    `writeFloat` in interface `java.io.DataOutput`
  Throws:
    `java.io.IOException`

### writeDouble

    public final void writeDouble(double v)
                           throws java.io.IOException

  Specified by:
    `writeDouble` in interface `java.io.DataOutput`
  Throws:
    `java.io.IOException`

### writeBytes

    public final void writeBytes(java.lang.String s)
                          throws java.io.IOException

  Specified by:
    `writeBytes` in interface `java.io.DataOutput`
  Throws:
    `java.io.IOException`

### writeChars

    public final void writeChars(java.lang.String s)
                          throws java.io.IOException

  Specified by:
    `writeChars` in interface `java.io.DataOutput`
  Throws:
    `java.io.IOException`

### writeUTF

    public final void writeUTF(java.lang.String str)
                        throws java.io.IOException

  Specified by:
    `writeUTF` in interface `java.io.DataOutput`
  Throws:
    `java.io.IOException`

### size

    public final int size()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD